Subject: Re: bug#71966: 30.0.60; Intermittent failure in eglot-tests

From: João Távora <[email-masked]>
Date: Sun, 7 Jul 2024 00:30:11 +0100

Hmmm,
Seems like the clangd on that underpowered machine takes
longer than the default 10 seconds to respond to Eglot's
initiation.  I don't think it's worth bumping the timeouts for
such cases, but I don't mind it either.  Why are you running tests
on those ARM machines?

BTW clangd is usually very spiffy by comparison with other
 servers, so I can't imagine how the other tests will ever pass
(they're probably skipped).

João

On Sat, Jul 6, 2024 at 11:32 PM Jeremy Bryant <[email-masked]> wrote:
>
> john muhl <[email-masked]> writes:
>
> > The failing test is ‘eglot-test-auto-detect-running-server’. I
> > can’t reproduce it here by running the individual test in a loop
> > (well it didn’t fail during 5 hours of looping). However it has
> > failed 10 times in the last 62 runs of ‘make check’. It only
> > happens on the 32bit ARM test machine but happens across all
> > tested configurations there.
> >
> > I was able to run ‘make check’ a dozen times without failure using
> > the patch below. Let’s see how it does for a week or two of builds.
> >
> >   --- a/test/lisp/progmodes/eglot-tests.el
> >   +++ b/test/lisp/progmodes/eglot-tests.el
> >   @@ -326,7 +326,7 @@ eglot-tests--auto-detect-running-server-1
> >           ("anotherproject" . (("cena.c" . "bla"))))
> >         (with-current-buffer
> >             (eglot--find-file-noselect "project/coiso.c")
> >   -       (should (setq server (eglot--tests-connect)))
> >   +       (should (setq server (eglot--tests-connect 20)))
> >           (should (eglot-current-server)))
> >         (with-current-buffer
> >             (eglot--find-file-noselect "project/merdix.c")
> >
> > [2. text/plain; eglot-tests.log]...
>
> Adding João on this bug report

-- 
João Távora